Debian Bug report logs - #557808
RFP: gtksheet -- a spreadsheet-like matrix for GTK+

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Luke Faraone <luke@faraone.cc>

Date: Tue, 24 Nov 2009 15:51:04 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, luke@faraone.cc, debian-devel@lists.debian.org, ian@ianbsmith.com, <wnpp@debian.org>:
Bug#557808; Package wnpp. (Tue, 24 Nov 2009 15:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Faraone <luke@faraone.cc>:
New Bug report received and forwarded. Copy sent to luke@faraone.cc, debian-devel@lists.debian.org, ian@ianbsmith.com, <wnpp@debian.org>. (Tue, 24 Nov 2009 15:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luke Faraone <luke@faraone.cc>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gtksheet -- a spreadsheet-like matrix for GTK+
Date: Tue, 24 Nov 2009 10:48:45 -0500
Package: wnpp
Severity: wishlist
Owner: Luke Faraone <luke@faraone.cc>

* Package name    : gtksheet
  Version         : 0.2.0
  Upstream Author : Victor M. Hernández-Rocamora <victor.hr@gmail.com>
* URL             : http://vhernandez.github.com/gtksheet/
* License         : GPL-2, portions LGPL-2
  Programming Lang: C
  Description     : a spreadsheet-like matrix for GTK+

The gtksheet library is a fork of the GtkSheet widget included in the
GTK+extra library. It includes the GtkSheet widget, a widget displaying
a spreadsheet-like matrix and GtkItemEntry widget, a GtkEntry derivative
to display data in the GtkSheet. 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#557808; Package wnpp. (Tue, 24 Nov 2009 17:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Faraone <luke@faraone.cc>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 24 Nov 2009 17:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 557808@bugs.debian.org (full text, mbox):

From: Luke Faraone <luke@faraone.cc>
To: Neil Williams <codehelp@debian.org>
Cc: 557808@bugs.debian.org, Ludovic Brenta <ludovic@ludovic-brenta.org>
Subject: Re: Bug#557808: ITP: gtksheet -- a spreadsheet-like matrix for GTK+
Date: Tue, 24 Nov 2009 12:23:49 -0500
[Message part 1 (text/plain, inline)]
On Tue, Nov 24, 2009 at 12:08, Neil Williams <codehelp@debian.org> wrote:

>  The fork retains the same bug as the original and will therefore FTBFS.
>
*
*GtkSheet builds from source in the current released version if a patch
is applied from their current git tree. This will be documented in my
package.

See #549758
> > gtkitementry.c: In function 'gtk_entry_real_insert_text':
> > gtkitementry.c:696: error: 'GtkEntry' has no member named 'n_bytes'
>
>
> http://github.com/vhernandez/gtksheet/blob/master/gtksheet/gtkitementry.c#L735
> if (new_text_length + entry->n_bytes + 1 > entry->text_size)
>
> n_bytes is a private part of GtkEntry and gtksheet never had any right
> to expect to be able to access it.
>
> I don't have a login for github.com, please forward this issue upstream
> BEFORE packaging the library.
>

Will do.

-- 
Luke Faraone
http://luke.faraone.cc
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Luke Faraone <luke@faraone.cc>:
Bug#557808; Package wnpp. (Tue, 24 Nov 2009 17:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Luke Faraone <luke@faraone.cc>. (Tue, 24 Nov 2009 17:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 557808@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Luke Faraone <luke@faraone.cc>, 557808@bugs.debian.org
Cc: Ludovic Brenta <ludovic@ludovic-brenta.org>
Subject: Re: Bug#557808: ITP: gtksheet -- a spreadsheet-like matrix for GTK+
Date: Tue, 24 Nov 2009 17:08:09 +0000
[Message part 1 (text/plain, inline)]
On Tue, 24 Nov 2009 10:48:45 -0500
Luke Faraone <luke@faraone.cc> wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Luke Faraone <luke@faraone.cc>
> 
> * Package name    : gtksheet
>   Version         : 0.2.0
>   Upstream Author : Victor M. Hernández-Rocamora <victor.hr@gmail.com>
> * URL             : http://vhernandez.github.com/gtksheet/
> * License         : GPL-2, portions LGPL-2
>   Programming Lang: C
>   Description     : a spreadsheet-like matrix for GTK+
> 
> The gtksheet library is a fork of the GtkSheet widget included in the
> GTK+extra library. It includes the GtkSheet widget, a widget displaying
> a spreadsheet-like matrix and GtkItemEntry widget, a GtkEntry derivative
> to display data in the GtkSheet. 

The fork retains the same bug as the original and will therefore FTBFS.

See #549758
> gtkitementry.c: In function 'gtk_entry_real_insert_text':
> gtkitementry.c:696: error: 'GtkEntry' has no member named 'n_bytes'

http://github.com/vhernandez/gtksheet/blob/master/gtksheet/gtkitementry.c#L735
if (new_text_length + entry->n_bytes + 1 > entry->text_size)

n_bytes is a private part of GtkEntry and gtksheet never had any right
to expect to be able to access it.

I don't have a login for github.com, please forward this issue upstream
BEFORE packaging the library.

Mind you, it's positive news that someone is working on GtkSheet.

CC'ing the libgtkada2 maintainer because the pending removal of
GtkSheet affects his package and he may be interested in a new upstream
fork.


-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Luke Faraone <luke@faraone.cc>:
Bug#557808; Package wnpp. (Wed, 25 Nov 2009 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Víctor M. Hernández Rocamora <victor.hr@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Luke Faraone <luke@faraone.cc>. (Wed, 25 Nov 2009 10:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 557808@bugs.debian.org (full text, mbox):

From: Víctor M. Hernández Rocamora <victor.hr@gmail.com>
To: 557808@bugs.debian.org
Subject: Re: Bug#557808: ITP: gtksheet -- a spreadsheet-like matrix for GTK+
Date: Wed, 25 Nov 2009 11:43:02 +0100
[Message part 1 (text/plain, inline)]
>The fork retains the same bug as the original and will therefore FTBFS.
>
>See #549758
>> gtkitementry.c: In function 'gtk_entry_real_insert_text':
>> gtkitementry.c:696: error: 'GtkEntry' has no member named 'n_bytes'
>
>http://github.com/vhernandez/gtksheet/blob/master/gtksheet/gtkitementry.c#L735 <http://github.com/vhernandez/gtksheet/blob/master/gtksheet/gtkitementry.c#L735>
>if (new_text_length + entry->n_bytes + 1 > entry->text_size)
>
>n_bytes is a private part of GtkEntry and gtksheet never had any right
>to expect to be able to access it.

Hi,

I'm the author of the gtksheet library. That code is not compiled for
GTK+ versions
higher than 2.18. It's only there for compatibility with older
versions of GTK which
don't have the new GtkEntryBuffer API that it's used to replace the
code using those
private variables. You can remove that old code and leave only the
code for 2.18.

I'll try to make a new release next weekend with all these changes and fixes.

Thank you very much for packaging gtksheet.

Cheers,

Víctor
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 22 Feb 2010 19:06:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: gtksheet -- a spreadsheet-like matrix for GTK+' from 'ITP: gtksheet -- a spreadsheet-like matrix for GTK+' Request was from FFM <luke@faraone.cc> to control@bugs.debian.org. (Sat, 29 May 2010 01:57:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Luke Faraone <luke@faraone.cc>. Request was from FFM <luke@faraone.cc> to control@bugs.debian.org. (Sat, 29 May 2010 01:57:08 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 20:33:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:54:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.